Magick++: Magick::DrawableCompositeImage Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableCompositeImage Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableCompositeImage:
[legend]
Collaboration diagram for Magick::DrawableCompositeImage:
[legend]

## Public Member Functions
| DrawableCompositeImage (double x_, double y_, const std::string &filename_)
| DrawableCompositeImage (double x_, double y_, const Image &image_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const std::string &filename_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const Image &image_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const std::string &filename_, CompositeOperator composition_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const Image &image_, CompositeOperator composition_)
| DrawableCompositeImage (const DrawableCompositeImage &original_)
| ~DrawableCompositeImage (void)
DrawableCompositeImage & | operator= (const DrawableCompositeImage &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | composition (CompositeOperator composition_)
CompositeOperator | composition (void) const
void | filename (const std::string &image_)
std::string | filename (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | width (double width_)
double | width (void) const
void | height (double height_)
double | height (void) const
void | image (const Image &image_)
Magick::Image | image (void) const
void | magick (std::string magick_)
std::string | magick (void)
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 723 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableCompositeImage() [1/7]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | const std::string & | filename_
| ) |  |

Definition at line 535 of file Drawable.cpp.

## ◆ DrawableCompositeImage() [2/7]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | const Image & | image_
| ) |  |

Definition at line 548 of file Drawable.cpp.

## ◆ DrawableCompositeImage() [3/7]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const std::string & | filename_
| ) |  |

Definition at line 511 of file Drawable.cpp.

## ◆ DrawableCompositeImage() [4/7]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const Image & | image_
| ) |  |

Definition at line 523 of file Drawable.cpp.

## ◆ DrawableCompositeImage() [5/7]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const std::string & | filename_,
|  | Magick::CompositeOperator | composition_
| ) |  |

Definition at line 485 of file Drawable.cpp.

## ◆ DrawableCompositeImage() [6/7]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const Image & | image_,
|  | Magick::CompositeOperator | composition_
| ) |  |

Definition at line 498 of file Drawable.cpp.

## ◆ DrawableCompositeImage() [7/7]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | const DrawableCompositeImage & | original_ | ) |

Definition at line 562 of file Drawable.cpp.

## ◆ ~DrawableCompositeImage()

Magick::DrawableCompositeImage::~DrawableCompositeImage | ( | void |  | ) |

Definition at line 572 of file Drawable.cpp.

## Member Function Documentation

## ◆ composition() [1/2]

void Magick::DrawableCompositeImage::composition | ( | CompositeOperator | composition_ | ) |
| inline

Definition at line 766 of file Drawable.h.

## ◆ composition() [2/2]

CompositeOperator Magick::DrawableCompositeImage::composition | ( | void |  | ) | const
| inline

Definition at line 770 of file Drawable.h.

## ◆ copy()

Magick::DrawableBase * Magick::DrawableCompositeImage::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 638 of file Drawable.cpp.

## ◆ filename() [1/2]

void Magick::DrawableCompositeImage::filename | ( | const std::string & | image_ | ) |

Definition at line 594 of file Drawable.cpp.

References Magick::Image.

## ◆ filename() [2/2]

std::string Magick::DrawableCompositeImage::filename | ( | void |  | ) | const

Definition at line 600 of file Drawable.cpp.

## ◆ height() [1/2]

void Magick::DrawableCompositeImage::height | ( | double | height_ | ) |
| inline

Definition at line 805 of file Drawable.h.

## ◆ height() [2/2]

double Magick::DrawableCompositeImage::height | ( | void |  | ) | const
| inline

Definition at line 809 of file Drawable.h.

## ◆ image() [1/2]

void Magick::DrawableCompositeImage::image | ( | const Image & | image_ | ) |

Definition at line 605 of file Drawable.cpp.

References Magick::Image.

## ◆ image() [2/2]

Magick::Image Magick::DrawableCompositeImage::image | ( | void |  | ) | const

Definition at line 611 of file Drawable.cpp.

## ◆ magick() [1/2]

void Magick::DrawableCompositeImage::magick | ( | std::string | magick_ | ) |

Definition at line 617 of file Drawable.cpp.

## ◆ magick() [2/2]

std::string Magick::DrawableCompositeImage::magick | ( | void |  | ) |

Definition at line 621 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableCompositeImage::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 627 of file Drawable.cpp.

## ◆ operator=()

Magick::DrawableCompositeImage & Magick::DrawableCompositeImage::operator= | ( | const DrawableCompositeImage & | original_ | ) |

Definition at line 578 of file Drawable.cpp.

References Magick::Image.

## ◆ width() [1/2]

void Magick::DrawableCompositeImage::width | ( | double | width_ | ) |
| inline

Definition at line 796 of file Drawable.h.

## ◆ width() [2/2]

double Magick::DrawableCompositeImage::width | ( | void |  | ) | const
| inline

Definition at line 800 of file Drawable.h.

## ◆ x() [1/2]

void Magick::DrawableCompositeImage::x | ( | double | x_ | ) |
| inline

Definition at line 778 of file Drawable.h.

## ◆ x() [2/2]

double Magick::DrawableCompositeImage::x | ( | void |  | ) | const
| inline

Definition at line 782 of file Drawable.h.

## ◆ y() [1/2]

void Magick::DrawableCompositeImage::y | ( | double | y_ | ) |
| inline

Definition at line 787 of file Drawable.h.

## ◆ y() [2/2]

double Magick::DrawableCompositeImage::y | ( | void |  | ) | const
| inline

Definition at line 791 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp